Bug 728006 - Review Request: mhddfs - Fuse-based file system for unifying several mount points into one
Summary: Review Request: mhddfs - Fuse-based file system for unifying several mount p...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nathan Owe
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-03 22:04 UTC by Jameson
Modified: 2011-08-16 18:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-09 18:12:52 UTC
ndowens04: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jameson 2011-08-03 22:04:11 UTC
Spec URL: http://imntreal.fedorapeople.org/mhddfs.spec
SRPM URL: http://imntreal.fedorapeople.org/mhddfs-0.1.38-1.fc15.src.rpm
Description:
This FUSE-based file system allows mount points (or directories) to be combined, simulating a single big volume which can merge several hard drives or remote file systems.  It is like unionfs, but can choose the drive with the most free space to create new files on, and can move data transparently between drives.

Comment 1 Jameson 2011-08-03 23:31:07 UTC
Forgot a build requirement.

SRPM URL: http://imntreal.fedorapeople.org/mhddfs-0.1.38-2.fc15.src.rpm

Comment 2 Nathan Owe 2011-08-04 02:37:25 UTC
Are you needing a sponsor?

Comment 3 Jameson 2011-08-04 02:49:48 UTC
No.  I already maintain a couple of packages.  I just threw this one together for myself, and thought maybe others could use it.

Comment 4 Nathan Owe 2011-08-04 03:03:46 UTC
install -d -m 755 $RPM_BUILD_ROOT/%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 755 %{name} $RPM_BUILD_ROOT/%{_bindir}
install -m 644 %{name}.1 $RPM_BUILD_ROOT/%{_mandir}/man1

instead do:

install -d $RPM_BUILD_ROOT/%{_bindir}
install -d $RPM_BUILD_ROOT/%{_mandir}/man1
install -m755 %{name} $RPM_BUILD_ROOT/%{_bindir}/%{name}
install -m644 %{name}.1 $RPM_BUILD_ROOT/%{_mandir}/man1/%{name}.1


SPEC: http://pastebin.com/cpmd7BNd
Above is one I updated. 

Also if you are not going to release this package for EPEL or RHEL then you can
remove:
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%clean section 
and also the defattr(-root,root-)

Comment 5 Nathan Owe 2011-08-04 05:05:44 UTC
Let me know if you agree on the SPEC file I did or not and works fine for you as well.

Comment 6 Jameson 2011-08-04 13:45:51 UTC
Looks good.  You said I could ditch the %clean section, also, right?

Comment 7 Nathan Owe 2011-08-04 14:50:25 UTC
As long as it is not being built for RHEL or RPEL

Comment 8 Nathan Owe 2011-08-04 15:31:11 UTC
Also FUSE packages must Requires: fuse
As I tested it and the application tries to run fusermount.


Glad my sponsor(Peter) noticed, Thanks

Comment 9 Jameson 2011-08-04 16:26:44 UTC
Thanks.  Anything else you notice that could use some work?

SRPM URL: http://imntreal.fedorapeople.org/mhddfs-0.1.38-2.fc15.src.rpm

Comment 10 Nathan Owe 2011-08-04 16:41:09 UTC
Also need to up the release version too. Also you don't need %defattr(-,root,root,-)

rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 755 %{name} $RPM_BUILD_ROOT/%{_bindir}
install -m 644 %{name}.1 $RPM_BUILD_ROOT/%{_mandir}/man1

Change to
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_bindir}
install -d $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 755 %{name} $RPM_BUILD_ROOT/%{_bindir}/%{name}
install -m 644 %{name}.1 $RPM_BUILD_ROOT/%{_mandir}/man1/%{name}.1

If you do something like 
install -d -m 755 $RPM_BUILD_ROOT/%{_bindir}
it may try install as %{_bindir} instead of the intentional %{_bindir}/bin_file

Comment 11 Jameson 2011-08-04 18:14:27 UTC
Sorry, wrong URL.

SRPM URL: http://imntreal.fedorapeople.org/mhddfs-0.1.38-3.fc15.src.rpm

Comment 12 Nathan Owe 2011-08-04 18:21:12 UTC
Still need to change what I listed above

Comment 13 Jameson 2011-08-04 18:37:18 UTC
Specified file names on install lines:

SRPM URL: http://imntreal.fedorapeople.org/mhddfs-0.1.38-4.fc15.src.rpm

Comment 14 Nathan Owe 2011-08-04 19:03:31 UTC
Legend:
+ : Good
- : Needs work
NA: Not Applicable

[+] : rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.[1] 

rpmlint: 
        SRPM:
        mhddfs.src: W: spelling-error %description -l en_US unionfs 
        1 packages and 0 specfiles checked; 0 errors, 1 warnings.
 
        RPM:
        mhddfs.x86_64: W: spelling-error %description -l en_US unionfs
        1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Ignoring "error" since unionfs is spelled correctly

[+] : The package must be named according to the Package Naming Guidelines .
[+] : The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. . 
[+] : The package must meet the Packaging Guidelines .
[+] : The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+] : The License field in the package spec file must match the actual license. 
[+] : If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] : The spec file must be written in American English. 
[+] : The spec file for the package MUST be legible. 
[+] : The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
[+] : The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
[NA] : If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] : All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[NA] : The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[NA] : Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
[NA] : Packages must NOT bundle copies of system libraries.
[NA] : If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] : A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
[+] : A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] : Permissions on files must be set properly. Executables should be set with executable permissions, for example. 
[+] : Each package must consistently use macros. 
[+] : The package must contain code, or permissable content.
[+] : Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
[+] : If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
[NA] : Header files must be in a -devel package. [19]
[NA] : Static libraries must be in a -static package. [20]
[NA] : If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
[NA] : In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} [21]
[NA] : Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[20]
[NA] : Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]
[+] : Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]
[+] : All filenames in rpm packages must be valid UTF-8. [24]

Comment 15 Nathan Owe 2011-08-04 19:03:53 UTC
Package is approved

Comment 16 Nathan Owe 2011-08-04 19:16:38 UTC
One more thing: change Requires: fuse to Requires: fuse%{?_isa}

Comment 17 Jameson 2011-08-04 19:52:22 UTC
Ok.  That should do it.

SRPM URL: http://imntreal.fedorapeople.org/mhddfs-0.1.38-4.fc15.src.rpm

Comment 18 Nathan Owe 2011-08-04 19:55:41 UTC
Remove the Group tag as well just noticed it, and then after that is updated follow http://fedoraproject.org/wiki/Package_SCM_admin_requests

Comment 19 Jameson 2011-08-04 19:58:49 UTC
New Package SCM Request
=======================
Package Name: mhddfs
Short Description: Fuse-based file system for unifying several mount points into one
Owners: imntreal
Branches: f14 f15 f16
InitialCC:

Comment 20 Jameson 2011-08-04 20:05:45 UTC
Remove the Group tag?  Wow, I must have missed a drastic change in the guidlines.  Here ya go.

SRPM URL: http://imntreal.fedorapeople.org/mhddfs-0.1.38-6.fc15.src.rpm

Comment 21 Gwyn Ciesla 2011-08-05 10:03:02 UTC
Git done (by process-git-requests).

Comment 22 Fedora Update System 2011-08-09 18:10:15 UTC
mhddfs-0.1.38-6.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mhddfs-0.1.38-6.fc14


Note You need to log in before you can comment on or make changes to this bug.